All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection
Class Credential

    com.sas.services.connection.Credential

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  PasswordCredential, SecurityPackageCredential, TrustedPeerCredential

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public abstract class Credential

implements java.lang.Cloneable, java.io.Serializable

A base class for credentials that can be used to authenticate and authorize use of a connection factory.

See Also:
  Serialized Form

Constructor Summary
`protected` | `Credential()` Construct a credential object.
`protected` | `Credential(java.lang.String domain)` Construct a credential object.

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object that)`
`java.lang.String` | `getDomain()` Get the authentication domain.
`java.util.Locale` | `getLocale()` Get the locale.
`int` | `hashCode()`
`void` | `setDomain(java.lang.String domain)` Set the authentication domain.
`void` | `setLocale(java.util.Locale locale)` Set the locale.

Constructor Detail

### Credential

    protected Credential(java.lang.String domain)

  Construct a credential object.

  Parameters:
    `domain` - the authentication domain
  See Also:
    `setDomain(java.lang.String)`

### Credential

    protected Credential()

  Construct a credential object.

Method Detail

### setDomain

    public void setDomain(java.lang.String domain)

  Set the authentication domain. The domain is a label that the factory uses to group servers and credentials. When connecting through a factory, the factory user must present a credential object with a domain that matches the domain of at least one server managed by the factory.

  Empty string and `null` are considered to be equivalent domains. The default value is empty string.

  Parameters:
    `domain` - the authentication domain

### getDomain

    public java.lang.String getDomain()

  Get the authentication domain.

  Returns:
    the authentication domain
  See Also:
    `setDomain(java.lang.String)`

### getLocale

    public java.util.Locale getLocale()

  Get the locale.

  Returns:
    the locale

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale.

  Parameters:
    `locale` - the locale (e.g. en_US)

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.